## freoffice-blog-plugin 1.0-1

=== debian/changelog ===
freoffice-blog-plugin (1.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Kaushal M <kshlmster@gmail.com>  Thu, 21 Oct 2010 20:23:03 +0530
