## freoffice-blog-plugin 1.0-2

=== Makefile ===
#############################################################################
# Makefile for building: libBlogPlugin.so
# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Oct 21 20:19:03 2010
# Project:  blogPlugin.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile blogPlugin.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_MAEMO5_LIB -DQT_XMLPATTERNS_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtNetwork -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtXml -I/targets/FREMANTLE_X86/usr/include/QtXmlPatterns -I/targets/FREMANTLE_X86/usr/include/QtMaemo5 -I/targets/FREMANTLE_X86/usr/include -I. -Ilibmaia -I/usr/include/office -I/usr/local/include/office -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib -shared
LIBS          = $(SUBLIBS)  -L/usr/lib -lkoodf -lcrypto -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtXmlPatterns -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = libmaia/maiaFault.cpp \
		libmaia/maiaObject.cpp \
		libmaia/maiaXmlRpcClient.cpp \
		libmaia/maiaXmlRpcServer.cpp \
		libmaia/maiaXmlRpcServerConnection.cpp \
		wordpressapi.cpp \
		wordpresspost.cpp \
		maindialog.cpp \
		settingsdialog.cpp \
		documentextractor.cpp \
		accounteditdialog.cpp \
		postdialog.cpp \
		blogplugin.cpp \
		bloggerapi.cpp \
		bloggerpost.cpp \
		encryptsupport.cpp moc_maiaFault.cpp \
		moc_maiaObject.cpp \
		moc_maiaXmlRpcClient.cpp \
		moc_maiaXmlRpcServer.cpp \
		moc_maiaXmlRpcServerConnection.cpp \
		moc_wordpressapi.cpp \
		moc_maindialog.cpp \
		moc_settingsdialog.cpp \
		moc_accounteditdialog.cpp \
		moc_postdialog.cpp \
		moc_blogplugin.cpp \
		moc_bloggerapi.cpp
OBJECTS       = maiaFault.o \
		maiaObject.o \
		maiaXmlRpcClient.o \
		maiaXmlRpcServer.o \
		maiaXmlRpcServerConnection.o \
		wordpressapi.o \
		wordpresspost.o \
		maindialog.o \
		settingsdialog.o \
		documentextractor.o \
		accounteditdialog.o \
		postdialog.o \
		blogplugin.o \
		bloggerapi.o \
		bloggerpost.o \
		encryptsupport.o \
		moc_maiaFault.o \
		moc_maiaObject.o \
		moc_maiaXmlRpcClient.o \
		moc_maiaXmlRpcServer.o \
		moc_maiaXmlRpcServerConnection.o \
		moc_wordpressapi.o \
		moc_maindialog.o \
		moc_settingsdialog.o \
		moc_accounteditdialog.o \
		moc_postdialog.o \
		moc_blogplugin.o \
		moc_bloggerapi.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		blogPlugin.pro
QMAKE_TARGET  = BlogPlugin
DESTDIR       = 
TARGET        = libBlogPlugin.so
TARGETD       = libBlogPlugin.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET): ui_maindialog.h $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)



Makefile: blogPlugin.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtXmlPatterns.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile blogPlugin.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtXmlPatterns.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile blogPlugin.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/BlogPlugin1.0.0 || $(MKDIR) .tmp/BlogPlugin1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/BlogPlugin1.0.0/ && $(COPY_FILE) --parents libmaia/maiaFault.h libmaia/maiaObject.h libmaia/maiaXmlRpcClient.h libmaia/maiaXmlRpcServer.h libmaia/maiaXmlRpcServerConnection.h wordpressapi.h wordpresspost.h maindialog.h settingsdialog.h documentextractor.h accounteditdialog.h postdialog.h blogplugin.h bloggerapi.h bloggerpost.h encryptsupport.h postdialog.h .tmp/BlogPlugin1.0.0/ && $(COPY_FILE) --parents libmaia/maiaFault.cpp libmaia/maiaObject.cpp libmaia/maiaXmlRpcClient.cpp libmaia/maiaXmlRpcServer.cpp libmaia/maiaXmlRpcServerConnection.cpp wordpressapi.cpp wordpresspost.cpp maindialog.cpp settingsdialog.cpp documentextractor.cpp accounteditdialog.cpp postdialog.cpp blogplugin.cpp bloggerapi.cpp bloggerpost.cpp encryptsupport.cpp .tmp/BlogPlugin1.0.0/ && $(COPY_FILE) --parents maindialog.ui .tmp/BlogPlugin1.0.0/ && (cd `dirname .tmp/BlogPlugin1.0.0` && $(TAR) BlogPlugin1.0.0.tar BlogPlugin1.0.0 && $(COMPRESS) BlogPlugin1.0.0.tar) && $(MOVE) `dirname .tmp/BlogPlugin1.0.0`/BlogPlugin1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/BlogPlugin1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_maiaFault.cpp moc_maiaObject.cpp moc_maiaXmlRpcClient.cpp moc_maiaXmlRpcServer.cpp moc_maiaXmlRpcServerConnection.cpp moc_wordpressapi.cpp moc_maindialog.cpp moc_settingsdialog.cpp moc_accounteditdialog.cpp moc_postdialog.cpp moc_blogplugin.cpp moc_bloggerapi.cpp moc_postdialog.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_maiaFault.cpp moc_maiaObject.cpp moc_maiaXmlRpcClient.cpp moc_maiaXmlRpcServer.cpp moc_maiaXmlRpcServerConnection.cpp moc_wordpressapi.cpp moc_maindialog.cpp moc_settingsdialog.cpp moc_accounteditdialog.cpp moc_postdialog.cpp moc_blogplugin.cpp moc_bloggerapi.cpp moc_postdialog.cpp
moc_maiaFault.cpp: libmaia/maiaFault.h
	/usr/bin/moc $(DEFINES) $(INCPATH) libmaia/maiaFault.h -o moc_maiaFault.cpp

moc_maiaObject.cpp: libmaia/maiaObject.h
	/usr/bin/moc $(DEFINES) $(INCPATH) libmaia/maiaObject.h -o moc_maiaObject.cpp

moc_maiaXmlRpcClient.cpp: libmaia/maiaObject.h \
		libmaia/maiaXmlRpcClient.h
	/usr/bin/moc $(DEFINES) $(INCPATH) libmaia/maiaXmlRpcClient.h -o moc_maiaXmlRpcClient.cpp

moc_maiaXmlRpcServer.cpp: libmaia/maiaObject.h \
		libmaia/maiaXmlRpcServerConnection.h \
		libmaia/maiaFault.h \
		libmaia/maiaXmlRpcServer.h
	/usr/bin/moc $(DEFINES) $(INCPATH) libmaia/maiaXmlRpcServer.h -o moc_maiaXmlRpcServer.cpp

moc_maiaXmlRpcServerConnection.cpp: libmaia/maiaFault.h \
		libmaia/maiaXmlRpcServerConnection.h
	/usr/bin/moc $(DEFINES) $(INCPATH) libmaia/maiaXmlRpcServerConnection.h -o moc_maiaXmlRpcServerConnection.cpp

moc_wordpressapi.cpp: wordpresspost.h \
		wordpressapi.h
	/usr/bin/moc $(DEFINES) $(INCPATH) wordpressapi.h -o moc_wordpressapi.cpp

moc_maindialog.cpp: maindialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) maindialog.h -o moc_maindialog.cpp

moc_settingsdialog.cpp: settingsdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) settingsdialog.h -o moc_settingsdialog.cpp

moc_accounteditdialog.cpp: accounteditdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) accounteditdialog.h -o moc_accounteditdialog.cpp
