=== debian/changelog ===
freoffice-blog-plugin (1.0-2) unstable; urgency=low

  * Rebuilding package for PR1.3

 -- Kaushal M <kshlmster@gmail.com>  Thu, 21 Oct 2010 20:23:03 +0530
