## freoffice-blog-plugin 1.0-3

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #############################################################################
 # Makefile for building: libBlogPlugin.so
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Oct 21 20:19:03 2010
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Dec 22 20:16:08 2010
 # Project:  blogPlugin.pro
 # Template: lib
-# Command: /usr/bin/qmake -unix -o Makefile blogPlugin.pro
+# Command: /usr/bin/qmake -o Makefile blogPlugin.pro
 #############################################################################
 
 ####### Compiler, tools and options
@@ -15,7 +15,7 @@
 CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
 INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtNetwork -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtXml -I/targets/FREMANTLE_X86/usr/include/QtXmlPatterns -I/targets/FREMANTLE_X86/usr/include/QtMaemo5 -I/targets/FREMANTLE_X86/usr/include -I. -Ilibmaia -I/usr/include/office -I/usr/local/include/office -I. -I.
 LINK          = g++
-LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib -shared
+LFLAGS        = -Wl,-O1 -shared
 LIBS          = $(SUBLIBS)  -L/usr/lib -lkoodf -lcrypto -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtXmlPatterns -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
@@ -102,6 +102,7 @@
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
+		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
@@ -157,6 +158,7 @@
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
+		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
@@ -173,17 +175,18 @@
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
 		/usr/lib/libQtMaemo5.prl \
+		/usr/lib/libQtGui.prl \
 		/usr/lib/libQtDBus.prl \
 		/usr/lib/libQtXml.prl \
 		/usr/lib/libQtCore.prl \
-		/usr/lib/libQtGui.prl \
 		/usr/lib/libQtXmlPatterns.prl \
 		/usr/lib/libQtNetwork.prl
-	$(QMAKE) -unix -o Makefile blogPlugin.pro
+	$(QMAKE) -o Makefile blogPlugin.pro
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
+/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
@@ -200,14 +203,14 @@
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
 /usr/lib/libQtMaemo5.prl:
+/usr/lib/libQtGui.prl:
 /usr/lib/libQtDBus.prl:
 /usr/lib/libQtXml.prl:
 /usr/lib/libQtCore.prl:
-/usr/lib/libQtGui.prl:
 /usr/lib/libQtXmlPatterns.prl:
 /usr/lib/libQtNetwork.prl:
 qmake:  FORCE
-	@$(QMAKE) -unix -o Makefile blogPlugin.pro
+	@$(QMAKE) -o Makefile blogPlugin.pro
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/BlogPlugin1.0.0 || $(MKDIR) .tmp/BlogPlugin1.0.0 
@@ -225,6 +228,8 @@
 	-$(DEL_FILE) $(TARGET) 
 	-$(DEL_FILE) Makefile
 
+
+check: first
 
 mocclean: compiler_moc_header_clean compiler_moc_source_clean
 
@@ -261,8 +266,3 @@
 	/usr/bin/moc $(DEFINES) $(INCPATH) maindialog.h -o moc_maindialog.cpp
 
 moc_settingsdialog.cpp: settingsdialog.h
-	/usr/bin/moc $(DEFINES) $(INCPATH) settingsdialog.h -o moc_settingsdialog.cpp
-
-moc_accounteditdialog.cpp: accounteditdialog.h
-	/usr/bin/moc $(DEFINES) $(INCPATH) accounteditdialog.h -o moc_accounteditdialog.cpp
-
