=== libmaia/Makefile ===
#############################################################################
# Makefile for building: libmaia.a
# Generated by qmake (2.01a) (Qt 4.6.3) on: Tue Jul 20 10:47:55 2010
# Project:  maia.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile maia.pro
#############################################################################

####### Compiler, tools and options

CC            = @echo compiling $< && gcc
CXX           = @echo compiling $< && g++
DEFINES       = -DQT_NO_DEBUG -DQT_XML_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -march=x86-64 -mtune=generic -O2 -pipe -D_REENTRANT -fPIC -Wall -W $(DEFINES)
CXXFLAGS      = -m64 -pipe -march=x86-64 -mtune=generic -O2 -pipe -D_REENTRANT -fPIC -Wall -W $(DEFINES)
INCPATH       = -I/usr/share/qt/mkspecs/linux-g++-64 -I. -I/usr/include/QtCore -I/usr/include/QtNetwork -I/usr/include/QtXml -I/usr/include -I. -I. -I.
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = maiaObject.cpp \
		maiaFault.cpp \
		maiaXmlRpcClient.cpp \
		maiaXmlRpcServer.cpp \
		maiaXmlRpcServerConnection.cpp moc_maiaObject.cpp \
		moc_maiaFault.cpp \
		moc_maiaXmlRpcClient.cpp \
		moc_maiaXmlRpcServer.cpp \
		moc_maiaXmlRpcServerConnection.cpp
OBJECTS       = maiaObject.o \
		maiaFault.o \
		maiaXmlRpcClient.o \
		maiaXmlRpcServer.o \
		maiaXmlRpcServerConnection.o \
		moc_maiaObject.o \
		moc_maiaFault.o \
		moc_maiaXmlRpcClient.o \
		moc_maiaXmlRpcServer.o \
		moc_maiaXmlRpcServerConnection.o
DIST          = /usr/share/qt/mkspecs/common/g++.conf \
		/usr/share/qt/mkspecs/common/unix.conf \
		/usr/share/qt/mkspecs/common/linux.conf \
		/usr/share/qt/mkspecs/qconfig.pri \
		/usr/share/qt/mkspecs/features/qt_functions.prf \
		/usr/share/qt/mkspecs/features/qt_config.prf \
		/usr/share/qt/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt/mkspecs/features/default_pre.prf \
		maia.pri \
		/usr/share/qt/mkspecs/features/release.prf \
		/usr/share/qt/mkspecs/features/default_post.prf \
		/usr/share/qt/mkspecs/features/silent.prf \
		/usr/share/qt/mkspecs/features/qt.prf \
		/usr/share/qt/mkspecs/features/unix/thread.prf \
		/usr/share/qt/mkspecs/features/moc.prf \
		/usr/share/qt/mkspecs/features/staticlib.prf \
		/usr/share/qt/mkspecs/features/static.prf \
		/usr/share/qt/mkspecs/features/warn_on.prf \
		/usr/share/qt/mkspecs/features/resources.prf \
		/usr/share/qt/mkspecs/features/uic.prf \
		/usr/share/qt/mkspecs/features/yacc.prf \
		/usr/share/qt/mkspecs/features/lex.prf \
		/usr/share/qt/mkspecs/features/include_source_dir.prf \
		maia.pro
QMAKE_TARGET  = maia
DESTDIR       = 
TARGET        = libmaia.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)


Makefile: maia.pro  /usr/share/qt/mkspecs/linux-g++-64/qmake.conf /usr/share/qt/mkspecs/common/g++.conf \
		/usr/share/qt/mkspecs/common/unix.conf \
		/usr/share/qt/mkspecs/common/linux.conf \
		/usr/share/qt/mkspecs/qconfig.pri \
		/usr/share/qt/mkspecs/features/qt_functions.prf \
		/usr/share/qt/mkspecs/features/qt_config.prf \
		/usr/share/qt/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt/mkspecs/features/default_pre.prf \
		maia.pri \
		/usr/share/qt/mkspecs/features/release.prf \
		/usr/share/qt/mkspecs/features/default_post.prf \
		/usr/share/qt/mkspecs/features/silent.prf \
		/usr/share/qt/mkspecs/features/qt.prf \
		/usr/share/qt/mkspecs/features/unix/thread.prf \
		/usr/share/qt/mkspecs/features/moc.prf \
		/usr/share/qt/mkspecs/features/staticlib.prf \
		/usr/share/qt/mkspecs/features/static.prf \
		/usr/share/qt/mkspecs/features/warn_on.prf \
		/usr/share/qt/mkspecs/features/resources.prf \
		/usr/share/qt/mkspecs/features/uic.prf \
		/usr/share/qt/mkspecs/features/yacc.prf \
		/usr/share/qt/mkspecs/features/lex.prf \
		/usr/share/qt/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile maia.pro
/usr/share/qt/mkspecs/common/g++.conf:
/usr/share/qt/mkspecs/common/unix.conf:
/usr/share/qt/mkspecs/common/linux.conf:
/usr/share/qt/mkspecs/qconfig.pri:
/usr/share/qt/mkspecs/features/qt_functions.prf:
/usr/share/qt/mkspecs/features/qt_config.prf:
/usr/share/qt/mkspecs/features/exclusive_builds.prf:
/usr/share/qt/mkspecs/features/default_pre.prf:
maia.pri:
/usr/share/qt/mkspecs/features/release.prf:
/usr/share/qt/mkspecs/features/default_post.prf:
/usr/share/qt/mkspecs/features/silent.prf:
/usr/share/qt/mkspecs/features/qt.prf:
/usr/share/qt/mkspecs/features/unix/thread.prf:
/usr/share/qt/mkspecs/features/moc.prf:
/usr/share/qt/mkspecs/features/staticlib.prf:
/usr/share/qt/mkspecs/features/static.prf:
/usr/share/qt/mkspecs/features/warn_on.prf:
/usr/share/qt/mkspecs/features/resources.prf:
/usr/share/qt/mkspecs/features/uic.prf:
/usr/share/qt/mkspecs/features/yacc.prf:
/usr/share/qt/mkspecs/features/lex.prf:
/usr/share/qt/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtXml.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile maia.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/maia1.0.0 || $(MKDIR) .tmp/maia1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/maia1.0.0/ && $(COPY_FILE) --parents maiaObject.h maiaFault.h maiaXmlRpcClient.h maiaXmlRpcServer.h maiaXmlRpcServerConnection.h .tmp/maia1.0.0/ && $(COPY_FILE) --parents maiaObject.cpp maiaFault.cpp maiaXmlRpcClient.cpp maiaXmlRpcServer.cpp maiaXmlRpcServerConnection.cpp .tmp/maia1.0.0/ && (cd `dirname .tmp/maia1.0.0` && $(TAR) maia1.0.0.tar maia1.0.0 && $(COMPRESS) maia1.0.0.tar) && $(MOVE) `dirname .tmp/maia1.0.0`/maia1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/maia1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_maiaObject.cpp moc_maiaFault.cpp moc_maiaXmlRpcClient.cpp moc_maiaXmlRpcServer.cpp moc_maiaXmlRpcServerConnection.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_maiaObject.cpp moc_maiaFault.cpp moc_maiaXmlRpcClient.cpp moc_maiaXmlRpcServer.cpp moc_maiaXmlRpcServerConnection.cpp
moc_maiaObject.cpp: maiaObject.h
	@echo moc maiaObject.h && /usr/bin/moc $(DEFINES) $(INCPATH) maiaObject.h -o moc_maiaObject.cpp

moc_maiaFault.cpp: maiaFault.h
	@echo moc maiaFault.h && /usr/bin/moc $(DEFINES) $(INCPATH) maiaFault.h -o moc_maiaFault.cpp

moc_maiaXmlRpcClient.cpp: maiaObject.h \
		maiaXmlRpcClient.h
	@echo moc maiaXmlRpcClient.h && /usr/bin/moc $(DEFINES) $(INCPATH) maiaXmlRpcClient.h -o moc_maiaXmlRpcClient.cpp

moc_maiaXmlRpcServer.cpp: maiaObject.h \
		maiaXmlRpcServerConnection.h \
		maiaFault.h \
		maiaXmlRpcServer.h
	@echo moc maiaXmlRpcServer.h && /usr/bin/moc $(DEFINES) $(INCPATH) maiaXmlRpcServer.h -o moc_maiaXmlRpcServer.cpp

moc_maiaXmlRpcServerConnection.cpp: maiaFault.h \
		maiaXmlRpcServerConnection.h
	@echo moc maiaXmlRpcServerConnection.h && /usr/bin/moc $(DEFINES) $(INCPATH) maiaXmlRpcServerConnection.h -o moc_maiaXmlRpcServerConnection.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

maiaObject.o: maiaObject.cpp maiaObject.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o maiaObject.o maiaObject.cpp

maiaFault.o: maiaFault.cpp maiaFault.h \
		maiaObject.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o maiaFault.o maiaFault.cpp

maiaXmlRpcClient.o: maiaXmlRpcClient.cpp maiaXmlRpcClient.h \
		maiaObject.h \
		maiaFault.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o maiaXmlRpcClient.o maiaXmlRpcClient.cpp

maiaXmlRpcServer.o: maiaXmlRpcServer.cpp maiaXmlRpcServer.h \
		maiaObject.h \
		maiaXmlRpcServerConnection.h \
		maiaFault.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o maiaXmlRpcServer.o maiaXmlRpcServer.cpp

maiaXmlRpcServerConnection.o: maiaXmlRpcServerConnection.cpp maiaXmlRpcServerConnection.h \
		maiaFault.h \
		maiaXmlRpcServer.h \
		maiaObject.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o maiaXmlRpcServerConnection.o maiaXmlRpcServerConnection.cpp

moc_maiaObject.o: moc_maiaObject.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_maiaObject.o moc_maiaObject.cpp

moc_maiaFault.o: moc_maiaFault.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_maiaFault.o moc_maiaFault.cpp

moc_maiaXmlRpcClient.o: moc_maiaXmlRpcClient.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_maiaXmlRpcClient.o moc_maiaXmlRpcClient.cpp

moc_maiaXmlRpcServer.o: moc_maiaXmlRpcServer.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_maiaXmlRpcServer.o moc_maiaXmlRpcServer.cpp

moc_maiaXmlRpcServerConnection.o: moc_maiaXmlRpcServerConnection.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_maiaXmlRpcServerConnection.o moc_maiaXmlRpcServerConnection.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:
