=== debian/changelog ===
freoffice-blog-plugin (1.0-3) unstable; urgency=low

  * Fix for Wordpress bug when posting documents without images

 -- Kaushal M <kshlmster@gmail.com>  Thu, 22 Dec 2010 20:51:00 +0530
