=== debian/control ===
Source: freoffice-blog-plugin
Section: user/office
Priority: extra
Maintainer: Kaushal M <kshlmster@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, freoffice-dev (>= 0.2-7), libxi-dev, kofficemeego-dev (>= 2.2.0-9), libssl-dev
Standards-Version: 3.7.2

Package: freoffice-blog-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freoffice(>= 0.2-7)
Description: Blog Plugin for FreOffice
 This plugin adds blogging support to FreOffice. Currently Wordpress & Blogger are supported.
